spandsp 0.0.6

g726_tests.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <memory.h>`
`#include <ctype.h>`
`#include <sndfile.h>`
`#include "spandsp.h"`
`#include "spandsp-sim.h"`

## Classes
struct | test_set_t

## Macros
#define | SPANDSP_EXPOSE_INTERNAL_STRUCTURES
#define | BLOCK_LEN 320
#define | MAX_TEST_VECTOR_LEN 40000
#define | TESTDATA_DIR "../test-data/itu/g726/"
#define | IN_FILE_NAME "../test-data/local/short_nb_voice.wav"
#define | OUT_FILE_NAME "post_g726.wav"
#define | G726_ENCODING_NONE 9999

## Functions
int | main (int argc, char *argv[])

## Variables
int16_t | outdata [40000]
uint8_t | adpcmdata [40000]
int16_t | itudata [40000]
uint8_t | itu_ref [40000]
uint8_t | unpacked [40000]
uint8_t | xlaw [40000]